import React from 'react'
import Search from '@/components/Search'

export default (props) => {
  const searchFields = [
    {
      name: 'name',
      label: '楼盘名称',
      placeholder: '请输入楼盘名称',
    },
    {
      name: 'buildingStatus',
      label: '楼盘状态',
      placeholder: '请选择楼盘状态',
      type: 'select',
      options: [
        {label: '已发布', value: 1},
        {label: '未发布', value: 2}
      ]
    },
    {
      name: 'buildingStatus',
      label: '销售状态',
      placeholder: '请选择销售状态',
      type: 'select',
      options: [
        {label: '待售', value: '待售'},
        {label: '在售', value: '在售'},
        {label: '售罄', value: '售罄'},
        {label: '在租', value: '在租'},
      ]
    },
    {
      name: 'isMain',
      label: '首页推荐',
      placeholder: '请选择首页推荐',
      type: 'select',
      options: [
        {label: '推荐', value: 1},
        {label: '未推荐', value: 2},
      ]
    },
  ]

  return (
    <Search fields={searchFields} onSearch={props.onSearch} onReset={props.onSearch} />
  )
}
