import React, { useState } from 'react'
import apis from '@/services/apis'
import Search from './components/Search'
import Table from './components/Table'

export default (props) => {
  const [searchData, setSearchData] = useState({})

  const handleDelete = (row) => {
    //
  }

  const handlePublish = (row) => {

  }

  return (
    <div>
      <Search onSearch={(data) => setSearchData(data)} />
      <Table
        api={apis.building.getList}
        params={searchData}
        onDelete={handleDelete}
        onPublish={handlePublish}
      />
    </div>
  )
}
